Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class IntPair

    java.lang.Object
      edu.stanford.nlp.util.IntTuple
          edu.stanford.nlp.util.IntPair

All Implemented Interfaces:
  Serializable

    public class IntPair

extends IntTuple

See Also:
  Serialized Form

Constructor Summary
`IntPair()`
`IntPair(int src, int trgt)`

Method Summary
`IntTuple` | `getCopy()`
`int` | `getSource()`
`int` | `getTarget()`

Methods inherited from class edu.stanford.nlp.util.IntTuple
`concat, elems, equals, get, getIntTuple, getIntTuple, hashCode, length, print, set, shiftLeft, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntPair

    public IntPair()

### IntPair

    public IntPair(int src,
                   int trgt)

Method Detail

### getSource

    public int getSource()

### getTarget

    public int getTarget()

### getCopy

    public IntTuple getCopy()

  Overrides:
    `getCopy` in class `IntTuple`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group